Uploaded image for project: 'Spark'
  1. Spark
  2. SPARK-28713

Bump checkstyle from 8.14 to 8.23

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.4.3
    • Fix Version/s: 2.4.4, 3.0.0
    • Component/s: Spark Core
    • Labels:
      None

      Description

      From the GitHub Security Advisory Database:

      Moderate severity vulnerability that affects com.puppycrawl.tools:checkstyle
      Checkstyle prior to 8.18 loads external DTDs by default, which can potentially lead to denial of service attacks or the leaking of confidential information.

      Affected versions: < 8.18

        Attachments

          Activity

            People

            • Assignee:
              fokko Fokko Driesprong
              Reporter:
              fokko Fokko Driesprong
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: